CurrentStatus (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.client.utils
Class CurrentStatus

    java.lang.Object
      org.gcube.resourcemanagement.support.client.utils.CurrentStatus

All Implemented Interfaces:
  Serializable

    public final class CurrentStatus

extends Object
implements Serializable

Author:
  Daniele Strollo (ISTI-CNR)
See Also:
  Serialized Form

Constructor Summary
`CurrentStatus()`

Method Summary
`UserGroup` | `getCredentials()`
`String` | `getCurrentResourceSubType()`
`String` | `getCurrentResourceType()`
`String` | `getCurrentScope()`
`String` | `getCurrentUser()`
`RunningMode` | `getRunningMode()`
`boolean` | `isLoadGHNatStartup()`
`void` | `setCredentials(UserGroup credentials)`
`void` | `setCurrentResourceSubType(String currentResourceSubType)`
`void` | `setCurrentResourceType(String resType)`
`void` | `setCurrentScope(String scope)`
`void` | `setCurrentUser(String currentUser)`
`void` | `setLoadGHNatStartup(boolean loadGHNatStartup)`
`void` | `setRunningMode(RunningMode runningMode)`
`void` | `setUseCache(boolean useCache)`
`boolean` | `useCache()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentStatus

    public CurrentStatus()

Method Detail

### useCache

    public boolean useCache()

### setUseCache

    public void setUseCache(boolean useCache)

### setCurrentScope

    public void setCurrentScope(String scope)

### getCurrentScope

    public String getCurrentScope()

### setCurrentResourceType

    public void setCurrentResourceType(String resType)

### getCurrentResourceType

    public String getCurrentResourceType()

### getCurrentResourceSubType

    public String getCurrentResourceSubType()

### setCurrentResourceSubType

    public void setCurrentResourceSubType(String currentResourceSubType)

### getCredentials

    public UserGroup getCredentials()

### setCredentials

    public void setCredentials(UserGroup credentials)

### setRunningMode

    public void setRunningMode(RunningMode runningMode)

### getRunningMode

    public RunningMode getRunningMode()

### setCurrentUser

    public void setCurrentUser(String currentUser)

### getCurrentUser

    public String getCurrentUser()

### isLoadGHNatStartup

    public boolean isLoadGHNatStartup()

### setLoadGHNatStartup

    public void setLoadGHNatStartup(boolean loadGHNatStartup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.